import java.util.*;

public class MyGameArrayTool {

    public static void main (String[] argv)
    {
	// Tests for method implementations. 

	int[] A = {1, 2, 3, 4, 5, 6, 7, 8, 9};
	int[] B = shiftedArray (3);
	if (! Arrays.equals(A,B) ) {
	    System.out.println ("Error: shiftedArray() not working");
	    System.exit (0);
	}

	int[] C = {1, 2, 3, 4, 5, 6, 7, 8, 9};
	shuffle (C);
	int[] D =  Arrays.copyOf (C,C.length);
	Arrays.sort (D);
	if ( (Arrays.equals(C,A)) || (! Arrays.equals(A,D)) ) {
	    System.out.println ("Error: shuffle() not working");
	    System.exit (0);
	}
	
	int n = 4;
	int[][] b = new int [n][n];
	int[] E = {0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15};
	putNumbersOnBoard (b, E);
	int k = 0;
	for (int i=0; i<n; i++) {
	    for (int j=0; j<n; j++) {
		if (b[j][i] != k) {
		    System.out.println ("ERROR: putNumbersOnBoard() not working");
		    System.exit (0);
		}
		k++;
	    }
	}

	System.out.println ("MyGameArrayTool appears to be working");
    }

    // Use this method to get a random number between low and high
    // So, a call to randomInt(0,4) will return either 0,1,2,3,4.

    static int randomInt (int low, int high)
    {
	Random r = new Random ();
	int k = r.nextInt (high-low+1);
	// k is now a random number between 0 and high-low (inclusive)
	// So, low+k will be between low and high inclusive.
	return (low + k);
    }

    public static int[] shiftedArray (int N)
    {
	// This needs to return an array with 1,2,...,N as the values.
	// INSERT YOUR CODE HERE
    }

    public static void shuffle (int[] numbers)
    {
	// This needs to shuffle the numbers.
	// INSERT YOUR CODE HERE
    }

    public static void putNumbersOnBoard (int[][] board, int[] numbers)
    {
	// This needs put the numbers in the second array (M of them)
	// on the N*N board. M=N*N. However, it needs to put them
	// in Cartesian order going left to right starting at the bottom.
	// INSERT YOUR CODE HERE
    }

    public static boolean isPrime (int n)
    {
	// Is n a prime number?
	// INSERT YOUR CODE HERE.
    }

    public static void printBoard (int[][] board)
    {
	// INSERT YOUR CODE HERE for a Cartesian print
    }

}
