import java.util.*;

public class RandomA {

    // RandomA randomly chooses between 'h' and 'd'. If the resulting
    // cell is occupied, it does the other move.

    public static char move (int[][] board, int myX, int myY, int otherX, int otherY)
    {
     	Random rand = new Random ();
     	int k = rand.nextInt (2);

     	// k will be 0 or 1 (right or down)
     	//System.out.println ("RandomA.move(): k=" + k);

	if (k == 0) {
	    // Try to move right.
	    int tempX = myX + 1;
     	    if ( (tempX >= board.length) ||
     		 ( (tempX == otherX) && (myY == otherY) ) ) {
     		// Out of bounds or occupied. So move down.
		return 'd';
	    }
	    else {
		return 'h';
	    }
	}
	else {
	    // Try and move down.
	    int tempY = myY - 1;
	    if ( (tempY < 0) 
		 || ( (myX == otherX) && (tempY == otherY) ) ) {
    // 		// Out of bounds or occupied. So move right.
		return 'h';
	    }
	    else {
		return 'd';
	    }
	}
    }

}
